/*  G-Cows - scripting language for creation of web sites
    Copyright (C) 2002, 2003, 2004, 2005, 2006 Andrea Sozzi

This file is part of G-Cows.

G-Cows is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

G-Cows is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */


#ifndef FILE_UTILS_H
#define FILE_UTILS_H 1

#include "common.H"

using std::string;

extern string  opt_file_name          (string file_name, bool full_opt=true);
extern char   *get_w_dir              ();
extern int     set_f_w_dir            (string file);
extern string  get_dir_from_file_name (string file_name);
extern string  strip_dir              (string file_name);
extern int     get_dir_level          ();   // obsolete ... 
extern int     get_dir_level          (string file_name);
extern string  to_absolute            (string file);
extern string  add_slash              (string file);
extern bool    file_exists            (string file);

#endif // ! FILE_UTILS_H
