/*  G-Cows - scripting language for creation of web sites
    Copyright (C) 2002, 2003, 2004, 2005, 2006 Andrea Sozzi

This file is part of G-Cows.

G-Cows is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

G-Cows is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; see the file COPYING.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */


#ifndef LIB_XMALLOC_H
#define LIB_XMALLOC_H 1

#include <unistd.h>
#include "common.H"

extern char *xstrdup  (const char *source);
extern char *xstrndup (const char *source, size_t num);
extern char *xstrcat  (const char *string1, const char *string2);
extern char *itoa     (int integer);

#endif // ! LIB_XMALLOC_H 
